# Generated from spree_emails-4.4.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name spree_emails

Name: rubygem-%{gem_name}
Version: 4.4.0
Release: 1%{?dist}
Summary: Transactional emails for Spree eCommerce platform
License: BSD-3-Clause
URL: https://spreecommerce.org
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.8.23
BuildRequires: ruby >= 2.5.0
# BuildRequires: rubygem(email_spec) >= 2.2
# BuildRequires: rubygem(email_spec) < 3
BuildArch: noarch

%description
Optional transactional emails for Spree such as Order placed or Shipment
notification emails.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_libdir}
%{gem_instdir}/script
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/spree_emails.gemspec

%changelog
* Wed Apr 20 2022 mockbuilder - 4.4.0-1
- Initial package
